category: Tutorial
name: mainScenario
uri: /mainScenarios
method: POST
commands:
  - command: script
    kwargs:
      code: |-
        context.logger.info("Start Main")
        response = await callout(path="/subScenarios", method="POST", body={"orderNumber": context.qmonus.xname})
  - command: serve
    kwargs:
      path: /mainScenarios/callback
      method: POST
      xname_key: orderNumber
      aspect_options:
        pre:
          process: context.logger.info(context.request.dictionary)
  - command: script
    kwargs:
      code: context.logger.info("End Main")
request_timeout: 60
connect_timeout: 60
spec:
  response:
    normal:
      codes:
        - 200
transaction:
  enable: true
  async: true
  xname_use_counter: true
  auto_begin: true
  auto_response: true
  xname: sequenceNo
  xdomain: Tutorial
  xtype: main
additional_paths: []
routing_auto_generation_mode: true
global_variables: {}
variable_groups: []
routing_options:
  scope: local